Package org.springframework.web.service.invoker

# Class HttpServiceProxyFactory.Builder

java.lang.Object
org.springframework.web.service.invoker.HttpServiceProxyFactory.Builder

Enclosing class:
  HttpServiceProxyFactory

public static final class HttpServiceProxyFactory.Builder extends Object
Builder to create an `HttpServiceProxyFactory`.

## Method Summary

Modifier and Type
Method
Description
`HttpServiceProxyFactory`
`build()`
Build the `HttpServiceProxyFactory` instance.
`HttpServiceProxyFactory.Builder`
`conversionService(org.springframework.core.convert.ConversionService conversionService)`
Set the `ConversionService` to use where input values need to be formatted as Strings.
`HttpServiceProxyFactory.Builder`
`customArgumentResolver(HttpServiceArgumentResolver resolver)`
Register a custom argument resolver, invoked ahead of default resolvers.
`HttpServiceProxyFactory.Builder`
`embeddedValueResolver(org.springframework.util.StringValueResolver embeddedValueResolver)`
Set the `StringValueResolver` to use for resolving placeholders and expressions embedded in `HttpExchange.url()`.
`HttpServiceProxyFactory.Builder`
`exchangeAdapter(HttpExchangeAdapter adapter)`
Provide the HTTP client to perform requests through.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### exchangeAdapter

public HttpServiceProxyFactory.Builder exchangeAdapter(HttpExchangeAdapter adapter)
Provide the HTTP client to perform requests through.

Parameters:
  `adapter` - a client adapted to `HttpExchangeAdapter`
Returns:
  this same builder instance
Since:
  6.1

### customArgumentResolver

public HttpServiceProxyFactory.Builder customArgumentResolver(HttpServiceArgumentResolver resolver)
Register a custom argument resolver, invoked ahead of default resolvers.

Parameters:
  `resolver` - the resolver to add
Returns:
  this same builder instance

### conversionService

public HttpServiceProxyFactory.Builder conversionService(org.springframework.core.convert.ConversionService conversionService)
Set the `ConversionService` to use where input values need to be formatted as Strings.

By default this is `DefaultFormattingConversionService`.

Returns:
  this same builder instance

### embeddedValueResolver

public HttpServiceProxyFactory.Builder embeddedValueResolver(org.springframework.util.StringValueResolver embeddedValueResolver)
Set the `StringValueResolver` to use for resolving placeholders and expressions embedded in `HttpExchange.url()`.

Parameters:
  `embeddedValueResolver` - the resolver to use
Returns:
  this same builder instance

### build

public HttpServiceProxyFactory build()
Build the `HttpServiceProxyFactory` instance.